<?php

Error_Reporting(E_ALL & ~E_NOTICE);
Error_Reporting (ERROR | WARNING);

session_name("SESID");
session_start();
require( "../inc/conf.inc.php" );
require( "../inc/check.php" );
$login = autorize();
$login = $row['login'];

$query_users = @mysql_query("select * from `users` where id='$id';");
@mysql_query("update `users` set ltime='".time()."',  where id='".$id."';");
$data = @mysql_fetch_array($query_users);
$baks= $data['baks'];
$plus="5";
$baksplus=$baks+$plus;



echo "<title>{$cname}</title>";
echo "<link rel=\"shortcut icon\" href=\"http://sim-sim.h2m.ru/logo/icon.php\">";
echo "<style type=\"text/css\">";
echo "body { font-size: {$fs}; color: {$tcol}; background-color: {$bcol}; text-align: center }";
echo "a:link,a:visited { text-decoration: none; color: {$lcol} }";
echo "div { border-style:solid; border-width: 1px; background-color: {$rcol} }";
echo "</style>";
echo "</head>";
echo "<body>";

echo "<div>Ваше задание на сегодня</div>";
echo "<p align=\"center\">Посоветуй наш сайт своему другу.</p>";

if ($_GET[view]=="")
{ 
$rand = rand(1000, 9999);
$_SESSION['rand'] = "$rand";
echo "<form method=\"post\" action=\"index.php?id={$id}&amp;pass={$pass}&amp;view=3\">";
echo "<p class=\"b\">";
echo "Ваш e-mail:";
echo "<br/><input type=\"text\" name=\"vashmail\" maxlength=\"50\" value=\"\"/><br/>";
echo "e-mail друга:";
echo "<br/><input type=\"text\" name=\"mail\" maxlength=\"50\" value=\"\"/><br/>";
echo "Ваше имя:";
echo "<br/><input type=\"text\" name=\"name\" maxlength=\"50\" value=\"\"/><br/>";
echo "* Проверочное число <font color=\"red\">$rand</font>:<br/><input size=\"4\" maxlength=\"4\" name=\"imgrand\" value=\"\" /><br/>";
echo "<input type=\"submit\" name=\"do\" value=\"Посоветовать\"/></p></form>";

$viewsov = file("../data/sovet.txt");
$sov = $viewsov[0];
echo "<p>Наш сайт посоветовали $sov раз</p>";
}

if($_GET[view]==3)
{
$text=htmlspecialchars(stripslashes(trim($_POST['text'])));
$tema= "Вам посоветовали пообщатся на $home";
if(empty($_POST['vashmail']))
{
$ot_email = "$emailadmina";
}
else
{
$ot_email = "$_POST[vashmail]";
}
if (!eregi("^([0-9a-z]([-_.]?[0-9a-z])*@[0-9a-z]([-.]?[0-9a-z])*\\.[a-wyz][a-z](fo|g|l|m|mes|o|op|pa|ro|seum|t|u|v|z)?)$", $_POST[mail]))
{  
echo"<p>Несуществующий адрес e-mail!<br/><br/>";
echo"<a href=\"index.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Пожалуйста повторите!</a></p>";

exit;
} 
if(empty($_POST['imgrand']))
{
echo"<p>Не введено проверочное число<br/><br/>";
echo"<a href=\"index.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Пожалуйста повторите!</a></p>";

exit;
}
if(!empty($_POST['imgrand']))
{
if($_POST['imgrand'] != $_SESSION['rand'])
{
echo"<p>Проверочное число неверно<br/><br/>";
echo"<a href=\"index.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Пожалуйста повторите!</a></p>";

exit;
}
}   
$text = "Здравствуйте.Маё имя $_POST[name] и я очень прошу зайти в наш чат-городок $home<br/>Это значит, что письмо Вам пришло не по ошибке или спамером, просто у нас в чате Установлена функцыя Пригласи друга..Если письмо попало вам значит ваш друг знает именно ваш емаил и именно вам его отправил В чате Ваш Друг под ником <b><u>$login</u></b> <br/> <a href=\"$home\">Перейти В ЧАТИК $home</a><br/> С уважением, $_POST[name]<br/>Хочу немного расказать о нашем многофункцыональном городке. Здесь ненужно даже просить и уговаривать админов штобы дали должность Админа ил модера Иль випа. Просто если мы будем вести свои биседы за каждое написанное сообщение Вам начисляются Виртеульные денешки,За них Ви сможите купить у нас Должность,Привилегии,Невидимость,Аваторы,Крутова,Журналы и к ним управление,Ой да много фсево и только за то што Вы будите с нами общатся и мирно вести биседу. Очень надеюсь Вас заинтересовало Маё приглашение на досуге проводить с нами время. $opis 
<img src=\"http://run.h2m.ru/axe/avator/52.gif\" alt=\"waufon.ru\"/></a></br>";

$headers="Content-Type: text/html; charset=utf-8\n";
$headers.="From: $ot_email\nX-Mailer: PHP v.".phpversion();
mail($_POST[mail],$tema,$text,$headers);

$viewsov = file("../data/sovet.txt");
$i = $viewsov[0];
$ii = $i + 1;
$base = ("../data/sovet.txt");
$file = fopen("$base","w");
fputs($file,"$ii");
fclose($file);

echo"<p>Спасибо, за то, что посоветовали наш сайт своему другу.<br/>";
echo"</p>";
}

print "</p><p align=\"left\"><a href=\"../enter.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Прихожая</a><br/>";
echo "<div><b>&copy; KOT <a href=\"http://waufon.ru\">waufon.ru</a></b></div>";
echo "</body></html>";
mysql_close( $link );
?>